Retrieve all collections the user has access to
GET
/collections
const url = 'https://antimony.example.com/api/collections';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://antimony.example.com/api/collections \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
object
payload
Array<object>
object
creator
object
id
string
name
string
id
string
name
string
publicDeploy
boolean
publicWrite
boolean
Example generated
{ "payload": [ { "creator": { "id": "example", "name": "example" }, "id": "example", "name": "example", "publicDeploy": true, "publicWrite": true } ]}The user isn’t authorized
Media typeapplication/json
Access to the resource was denied. Details in the request body.
Media typeapplication/json
object
code
integer
message
string
Example generated
{ "code": 1, "message": "example"}The provided access token is not valid
Media typeapplication/json